Full name: projects.locations.instances.emailTemplates.get
Gets a single EmailTemplate by its resource name. Use this method to retrieve the full body content and formatting type (plain text or HTML) of a template.
HTTP request
GET https://{endpoint}/v1beta/{name}
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the EmailTemplate to retrieve. Format: projects/{project}/locations/{location}/instances/{instance}/emailTemplates/{emailTemplate} |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of EmailTemplate.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
chronicle.emailTemplates.get
For more information, see the IAM documentation.